public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/putty/
Date: Wed,  3 May 2017 12:09:34 +0000 (UTC)	[thread overview]
Message-ID: <1493813358.0c195cb70f2dda3c2488ed6a727ac48c5b9d9d4c.jer@gentoo> (raw)

commit:     0c195cb70f2dda3c2488ed6a727ac48c5b9d9d4c
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed May  3 12:08:44 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed May  3 12:09:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c195cb7

net-misc/putty: Version bump.

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-misc/putty/Manifest          |  1 +
 net-misc/putty/putty-0.69.ebuild | 90 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/net-misc/putty/Manifest b/net-misc/putty/Manifest
index e99ecbaae2e..b47b4b9c6a3 100644
--- a/net-misc/putty/Manifest
+++ b/net-misc/putty/Manifest
@@ -1,2 +1,3 @@
 DIST putty-0.68.tar.gz 2114499 SHA256 7ba256f46e5a353cafe811ce7914d0e22a52bdfc0e6e2d183ad28b5af44cd09c SHA512 e3a6e4f45e1fce70d4cbb6d4769ab72b23c10920e48a88bba95b3f4c225b0193ddc1444e69d572bdec5e505d2c56fed365f07d990c156b35f272b56f978ef5d3 WHIRLPOOL d24ceb3ed62eca52bb3a8f4fae08256269002265650e6fc42af10fc10a7b85b677b70c68e6b0a98915371921eabfbcbfa8a9b64b6be1a51cff418aef2feb6650
+DIST putty-0.69.tar.gz 2122306 SHA256 b7dad241ff01b0cbb9dc4c1471ec7cacf8f08d98a581aeb2f336da3c0eb96ad1 SHA512 2739829adec60df5658709d61f8539d431f6b5d71b9b893fcefb2a04ac52bf2ace26f9ca784156d6540fa3f3e5858a86eb2921002b4cc05f9fbf22da7931ec2a WHIRLPOOL 7f003a0bc0f94c14aa3ea5c0b38bbe7fd9dbc6e92d7fac1a4aa004c775d567db49526439c7ed6fe37eb5e345b499ace3a27dd218cdf97d81eeb4bf4d0ea83343
 DIST putty-icons.tar.bz2 4878 SHA256 960b189069dbfb20a1f49e378ab88bed716c6457593815e414d51ad7a3fa93a7 SHA512 4e419a71e26770e159221f6b516e7210d29272917b4b9a9e0b67c72e73508b97278e56c82111b02e106c5d513c2561fec6da372b4b18246f29372ae618ff5f71 WHIRLPOOL ec96fe682582bfa58ce73c3e5cb7bb61d2363b7a5e9d3259dfd11cd6396512b5b9ed954f6a431baab36b1f17963714b30c239cdf4c08191d27b5abb858f54a57

diff --git a/net-misc/putty/putty-0.69.ebuild b/net-misc/putty/putty-0.69.ebuild
new file mode 100644
index 00000000000..448708462c8
--- /dev/null
+++ b/net-misc/putty/putty-0.69.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils gnome2-utils toolchain-funcs
+
+DESCRIPTION="A Free Telnet/SSH Client"
+HOMEPAGE="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc +gtk ipv6 kerberos"
+SRC_URI="
+	https://dev.gentoo.org/~jer/${PN}-icons.tar.bz2
+	http://the.earth.li/~sgtatham/${PN}/latest/${P}.tar.gz
+"
+
+RDEPEND="
+	!net-misc/pssh
+	gtk? (
+		dev-libs/glib:2
+		x11-libs/gdk-pixbuf
+		x11-libs/gtk+:3[X]
+		x11-libs/libX11
+		x11-libs/pango
+	)
+	kerberos? ( virtual/krb5 )
+"
+DEPEND="
+	${RDEPEND}
+	dev-lang/perl
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/AM_PATH_GTK(/d' \
+		-e 's|-Werror||g' \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	cd "${S}"/unix || die
+	econf \
+		$(use_with kerberos gssapi) \
+		$(use_with gtk)
+}
+
+src_compile() {
+	cd "${S}"/unix || die
+	emake AR=$(tc-getAR) $(usex ipv6 '' COMPAT=-DNO_IPV6)
+}
+
+src_install() {
+	dodoc doc/puttydoc.txt
+
+	if use doc; then
+		docinto html
+		dodoc doc/*.html
+	fi
+
+	cd "${S}"/unix || die
+	default
+
+	if use gtk ; then
+		for i in 16 22 24 32 48 64 128 256; do
+			newicon -s ${i} "${WORKDIR}"/${PN}-icons/${PN}-${i}.png ${PN}.png
+		done
+
+		# install desktop file provided by Gustav Schaffter in #49577
+		make_desktop_entry ${PN} PuTTY ${PN} Network
+	fi
+}
+
+pkg_preinst() {
+	use gtk && gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	use gtk && gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	use gtk && gnome2_icon_cache_update
+}


             reply	other threads:[~2017-05-03 12:09 UTC|newest]

Thread overview: 127+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-03 12:09 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-31 17:51 [gentoo-commits] repo/gentoo:master commit in: net-misc/putty/ Matthew Smith
2024-04-18 16:42 Matthew Smith
2024-04-18 16:42 Matthew Smith
2024-04-18  7:27 Matthew Smith
2024-04-17 22:01 Sam James
2024-04-17  6:54 Sam James
2024-04-16  1:25 Sam James
2024-04-15 23:08 Sam James
2024-04-15 23:08 Sam James
2024-04-15 20:54 Matthew Smith
2023-12-20  9:26 Matthew Smith
2023-12-20  6:23 Arthur Zamarin
2023-12-20  6:23 Arthur Zamarin
2023-12-20  3:44 Sam James
2023-12-20  1:40 Sam James
2023-12-20  1:40 Sam James
2023-12-19 19:59 Matthew Smith
2023-12-19 19:59 Matthew Smith
2022-12-03 18:12 Arthur Zamarin
2022-12-03 17:42 Arthur Zamarin
2022-12-03 14:59 Arthur Zamarin
2022-12-03 10:54 Sam James
2022-12-03 10:37 Arthur Zamarin
2022-11-04 19:00 Matthew Smith
2022-09-29  9:32 Matthew Smith
2022-09-29  8:44 Matthew Smith
2022-09-29  8:44 Matthew Smith
2022-09-29  8:44 Matthew Smith
2022-09-17  5:38 Arthur Zamarin
2022-09-10  4:46 Sam James
2022-09-10  0:48 Sam James
2022-09-09 22:26 Jakov Smolić
2022-08-25 16:32 Matthew Smith
2022-07-10  8:40 Matthew Smith
2022-07-10  8:40 Matthew Smith
2022-07-10  8:40 Matthew Smith
2022-05-27 10:11 Lars Wendler
2022-05-27 10:11 Lars Wendler
2022-03-26  0:01 Sam James
2021-07-26  6:59 Lars Wendler
2021-07-26  4:37 Sam James
2021-07-26  2:14 Sam James
2021-07-18  6:35 Agostino Sarubbo
2021-07-18  6:34 Agostino Sarubbo
2021-07-18  6:33 Agostino Sarubbo
2021-07-17 18:25 Lars Wendler
2021-07-12  7:38 Lars Wendler
2021-06-09  6:24 Agostino Sarubbo
2021-06-08  6:59 Agostino Sarubbo
2021-06-07 13:19 Agostino Sarubbo
2021-06-06 23:19 Sam James
2021-06-06 23:19 Sam James
2021-05-09  8:35 Lars Wendler
2021-04-19 20:56 Lars Wendler
2020-11-03 22:58 Lars Wendler
2020-07-23  9:19 Jeroen Roovers
2020-07-23  9:05 Jeroen Roovers
2020-07-23  8:56 Sergei Trofimovich
2020-07-22 15:43 Jeroen Roovers
2020-07-18 18:35 Sam James
2020-07-17 23:25 Sam James
2020-07-17 23:25 Sam James
2020-07-17  0:07 Sam James
2020-07-16 23:49 Sam James
2020-06-28  7:00 Jeroen Roovers
2020-01-13  3:09 Jeroen Roovers
2019-10-14  5:46 Jeroen Roovers
2019-10-14  2:41 Matt Turner
2019-10-07  9:53 Agostino Sarubbo
2019-10-07  9:47 Agostino Sarubbo
2019-10-07  8:42 Agostino Sarubbo
2019-10-06 21:18 Thomas Deutschmann
2019-09-30 14:55 Jeroen Roovers
2019-07-23 10:42 Jeroen Roovers
2019-05-11 12:40 Jeroen Roovers
2019-04-08 16:02 Jeroen Roovers
2019-04-08  6:46 Mikle Kolyada
2019-04-06 11:38 Jeroen Roovers
2019-04-05 19:03 Sergei Trofimovich
2019-04-02  9:09 Mikle Kolyada
2019-04-02  1:37 Thomas Deutschmann
2019-03-18 16:40 Jeroen Roovers
2019-03-18  0:26 Jeroen Roovers
2019-03-17 23:58 Jeroen Roovers
2019-03-17 23:52 Jeroen Roovers
2019-03-17 23:35 Jeroen Roovers
2019-01-26 14:39 Jeroen Roovers
2019-01-21 11:39 Jeroen Roovers
2019-01-20 13:40 Jeroen Roovers
2019-01-20 12:24 Jeroen Roovers
2018-05-27 16:11 Aaron Bauman
2017-07-09  4:26 Jeroen Roovers
2017-04-10 22:41 Jeroen Roovers
2017-03-01  6:12 Jeroen Roovers
2017-03-01  6:12 Jeroen Roovers
2017-03-01  6:12 Jeroen Roovers
2017-02-28 11:22 Tobias Klausmann
2017-02-25 10:03 Agostino Sarubbo
2017-02-24 14:07 Agostino Sarubbo
2017-02-23 16:30 Agostino Sarubbo
2017-02-23 15:55 Agostino Sarubbo
2017-02-23  9:16 Jeroen Roovers
2017-02-22 16:31 Jeroen Roovers
2016-04-19 13:12 Michał Górny
2016-04-18  9:43 Patrice Clement
2016-04-03  8:25 Jeroen Roovers
2016-03-15 20:50 Tobias Klausmann
2016-03-15 16:38 Agostino Sarubbo
2016-03-08 13:41 Jeroen Roovers
2016-03-07  8:04 Agostino Sarubbo
2016-03-06 18:10 Jeroen Roovers
2016-01-10 21:52 Jeroen Roovers
2015-12-25 20:00 Mikle Kolyada
2015-11-12 10:25 Agostino Sarubbo
2015-11-09  8:40 Agostino Sarubbo
2015-11-09  8:40 Agostino Sarubbo
2015-11-09  4:33 Jeroen Roovers
2015-11-08  6:57 Jeroen Roovers
2015-11-08  6:02 Jeroen Roovers
2015-10-12  3:48 Jeroen Roovers
2015-09-22  8:57 Agostino Sarubbo
2015-09-21 11:27 Agostino Sarubbo
2015-09-19 12:32 Agostino Sarubbo
2015-09-18 18:31 Tobias Klausmann
2015-09-18  5:33 Jeroen Roovers
2015-09-18  5:33 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1493813358.0c195cb70f2dda3c2488ed6a727ac48c5b9d9d4c.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox